# Note that this is NOT a relocatable package
%define desktopdir  /usr/share/gnome/apps

Summary: mgedit is a simple text editor for X
Name: mgedit
Version: 0.0.27
Release: 5m
License: GPL
Group: Applications/Editors
Source0: mgedit-%{version}.tar.gz
# NoSource: 0
URL: http://seki.math.sci.hokudai.ac.jp:20080/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: gtk+1 >= 1.2.0


%description
MGEdit is a simple text editor for X. MGEdit has some support
for multibyte strings, i.e., you can edit Chinese/Japanese/Korean
text with it.

%prep
%setup -q

%build
CFLAGS="%{optflags}" LDFLAGS="-s" ./configure --prefix=%{_prefix} 
make

%install
rm -rf %{buildroot}
make prefix=%{buildroot}%{_prefix} install-strip
mkdir -p %{buildroot}%{desktopdir}/Applications/
install -m644 mgedit.desktop %{buildroot}%{desktopdir}/Applications/

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README COPYING AUTHORS README.eucjp MEMO.eucjp
%{_bindir}/mgedit
%{_datadir}/locale/*/*/*
%{desktopdir}/*/*

%changelog
* Wed Mar 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.27-5m)
- delete define prefix
- delete define ver

* Thu Oct 18 2001 Toru Hoshina <t@kondara.org>
- (0.0.27-4k)
- rebuild against gettext 0.10.40.

* Wed May 30 2001 Akira Higuchi <a@kondara.org>
- (0.0.27-2k)
- version 0.0.27

* Tue May 29 2001 Akira Higuchi <a@kondara.org>
- (0.0.26-2k)
- version 0.0.26 :)

* Tue Apr 24 2001 Akira Higuchi <a@kondara.org>
- (0.0.25-2k)
- version 0.0.25

* Mon Oct 23 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (0.0.24-3k)
- fixed for FHS

* Sun Dec  5 1999 Akira Higuchi <a@kondara.org>
- Added NoSource tag

* Fri Dec  3 1999 Akira Higuchi <a@kondara.org>
- Added Distribution tag

* Sat Oct 16 1999 Akira Higuchi <a@kondara.org>
- Update for Kondara

* Wed Jul 28 1999 Akira Higuchi <a@kondara.org>
- Created

